# Get product purchase completion URL This function builds the full cPanel URL for the product purchase completion page. The URL includes the security token and points to the completion page for the specified product. Endpoint: GET /Market/get_completion_url Version: 11.136.0.4 Security: BasicAuth ## Query parameters: - `product_name` (string, required) The name of the product for which to retrieve the completion URL. Example: "cpanel-ssl" ## Response 200 fields (application/json): - `apiversion` (integer) The version of the API. Example: 3 - `func` (string) The name of the method called. Example: "get_completion_url" - `module` (string) The name of the module called. Example: "Market" - `result` (object) - `result.data` (object) - `result.data.completion_url` (string) The full cPanel URL for the product purchase completion page, including the security token. Example: "https://hostname.example.com:2083/cpsessXXXXXXXXXX/frontend/jupiter/store/purchase_cpanel-ssl_completion.html" - `result.errors` (array,null) List of errors if the API failed. - `result.messages` (array,null) List of messages generated by the API. - `result.metadata` (object) - `result.status` (integer) * — Success. * — Failed. Check the field for more details. Enum: 0, 1 - `result.warnings` (array,null) List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.